@use "../theme";
@use "../mixins";

.page-api-detail {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;

    .api-top-content {
        width: 100%;
        display: grid;
        grid-template-columns: 1fr;
        place-items: start;

        @media only screen and (min-width: theme.$sm) {
            grid-template-columns: 1fr max-content;
            grid-template-rows: auto min-content 1fr;
            column-gap: 4em;

            .title-row {
                grid-row: 1;
                grid-column: 1;

                .pill {
                    margin-right: theme.$spacing04;
                }
            }

            .button {
                grid-row: 1;
                grid-column: 2;
            }

            .page-subtitle {
                grid-row: 2;
                grid-column: 1;
            }

            .intro {
                grid-row: 3;
                grid-column: 1;
            }

            .api-topics {
                grid-row: 2 / 4;
                grid-column: 2;
                min-width: 204px;
                max-width: 250px;
            }
        }

        .topic-pill {
            background-color: white;
        }

        .button {
            margin-top: theme.$spacing04;

            @media only screen and (min-width: theme.$sm) {
                margin-top: 0;
            }
        }
    }


    .link-arrow {
        padding-top: 0;
    }

    .page-subtitle {
        font-size: theme.$fontSizeLarge;
    }

    .api-props {
        display: flex;
        justify-content: space-between;
        width: 100%;

        div {
            display: flex;
            flex-direction: row;

            dt,
            dd {
                width: 50%;
            }

            @media only screen and (min-width: theme.$sm) {
                width: 20%;
                display: flex;
                flex-direction: column;
                justify-content: flex-start;

                dt,
                dd {
                    width: 100%;
                }

            }

        }

        dt {
            padding: 0;
        }

        dd {
            margin: 0;
        }
    }

    .environments {
        width: 100%;

        h2 {
            margin-bottom: theme.$spacing05;
        }

        &__env {
            &:not(:last-child) {
                margin-bottom: theme.$spacing06;
            }

            h3 {
                font-size: theme.$fontSizeMedium;
                text-transform: capitalize;
                margin-top: 0;
            }

            &__urls {
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                align-items: center;

                code {
                    width: 100%;
                    margin-bottom: theme.$spacing03;

                    @media only screen and (min-width: theme.$lg) {
                        width: 670px;
                        flex: 1;
                        margin-bottom: 0;
                        margin-right: theme.$spacing05;
                    }
                }

                :last-child {
                    margin-left: theme.$spacing04;

                    @media only screen and (min-width: theme.$sm) {
                        margin-left: theme.$spacing04;
                    }
                }
            }
        }
    }

    .forum {
        @include mixins.card;
        display: flex;
        align-items: center;
        justify-content: space-between;

        h2 {
            margin: 0;
        }
    }

    .related-repositories {
        width: 100%;
        @include mixins.card;

        h2 {
            margin-bottom: theme.$spacing01;
        }

        p {
            color: theme.$colorPaletteGray700;
            font-size: theme.$fontSizeSmall;
        }

        ul {
            margin-bottom: 0;
        }

        .card {
            background-color: theme.$colorBackground;
            margin-bottom: 0;
            margin-top: theme.$spacing04;

            &:first-child {
                margin-top: 0;
            }
        }
    }

    .related-apis {
        width: 100%;

        ul {
            margin-bottom: 0;
        }

        li {
            .card {
                margin-top: theme.$spacing04;
            }

            &:first-child {
                .card {
                    margin-top: 0;
                }
            }
        }

        .card {
            background-color: theme.$colorBackground;
        }
    }

    .edit-link {
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        font-weight: 600;

        svg {
            margin-right: .5rem;
        }
    }
}
